### Property

# Gtk Picture:keep-aspect-ratio

deprecated: 4.8

#### Declaration

    property keep-aspect-ratio: gboolean [ read, write ]

#### Description [src]

Whether the GtkPicture will render its contents trying to preserve the aspect ratio.

Type: | `gboolean`
Deprecated since: | 4.8
Use `GtkPicture:content-fit` instead.

Default value | TRUE
Getter method | `gtk_picture_get_keep_aspect_ratio()`
Setter method | `gtk_picture_set_keep_aspect_ratio()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no